:root {

    /* This class can be used in image tags to center an image e.g. ![Alt](URL) { .center width="75%" style="..." } */
    .center {
        display: block;
        margin: 0 auto;
    }

    .headerlink {
        font-size: 75%;
    }

}


[data-md-color-scheme="webdesign-bund-01"] {

    /* Color definitions from Webdesign Bund */
    --color-primary-50:                     #ffedee;
    --color-primary-100:                    #fae1e2;
    --color-primary-200:                    #ffccce;
    --color-primary-300:                    #fa9da1;
    --color-primary-400:                    #fc656b;
    --color-primary-500:                    #e53940;
    --color-primary-600:                    #d8232a;
    --color-primary-700:                    #bf1f25;
    --color-primary-800:                    #99191e;
    --color-primary-900:                    #801519;
    --color-secondary-50:                   #f0f4f7;
    --color-secondary-100:                  #dfe4e9;
    --color-secondary-200:                  #acb4bd;
    --color-secondary-300:                  #828e9a;
    --color-secondary-400:                  #596978;
    --color-secondary-500:                  #46596b;
    --color-secondary-600:                  #2f4356;
    --color-secondary-700:                  #263645;
    --color-secondary-800:                  #1c2834;
    --color-secondary-900:                  #131b22;

    /* Primary color shades */
    --md-primary-fg-color:                  white;
    --md-primary-fg-color--light:           var(--color-secondary-200);;
    --md-primary-fg-color--dark:            var(--color-secondary-800);

    /* Accent color shades */
    --md-accent-fg-color:                   var(--color-primary-500);
    --md-accent-fg-color--transparent:      var(--color-secondary-100);
    --md-accent-bg-color:                   var(--color-primary-500);
    --md-accent-bg-color--light:            var(--color-primary-200);

    /* Footer */
    --md-footer-bg-color:                   var(--color-secondary-600);
    --md-footer-bg-color--dark:             var(--color-secondary-700);
    --md-footer-fg-color:                   var(--color-secondary-50);
    --md-footer-fg-color--light:            var(--color-secondary-50);


    --md-typeset-a-color:                   var(--color-primary-600);

   /* Admonition color shades */
    --md-admonition-fg-color:            var(--md-default-fg-color);
    --md-admonition-bg-color:            var(--md-default-bg-color);

// Warning color shades
--md-warning-fg-color:              hsla(0, 0%, 0%, 0.87);
    --md-warning-bg-color:              hsla(60, 100%, 80%, 1);

    .md-typeset h1 {
        line-height: 1.25;
        font-weight: 600;
        font-size: 1.400rem;
        color: black;
        padding-bottom: 0.5rem;
    }

    .md-typeset h2 {
        line-height: 1.75;
        font-weight: 600;
        font-size: 1.1rem;
        color: black;
        padding-top: 0.35rem;
        padding-bottom: 0.0rem;
    }

    .md-typeset h3 {
        line-height: 1.75;
        font-weight: 500;
        font-size: 1.0rem;
        color: black;
        padding-top: 0.25rem;
        padding-bottom: 0.0rem;
    }

    .md-typeset h4 {
        font-weight: 600;
        padding-top: 0.60rem;
        padding-bottom: 0.0rem;
    }

    .md-typeset a:hover {
        color: var(--color-primary-800);
    }



}

.md-header { background-color: white; /* Hintergrundfarbe */ color: black; /* Textfarbe */ margin-top: 0.6rem; /* Abstand nach oben */ }
.md-tabs { background-color: white; /* Hintergrundfarbe */ color: black; /* Textfarbe */ }
.md-tabs__link:hover { color: var(--color-primary-600); /* menu: color when hovering */ }
.md-tabs__item--active  { color: var(--color-primary-600); /* menu subsection: color for active submenu */ }
nav.md-header__inner.md-grid a.md-header__button.md-logo img[alt="logo"] { height: 3.0rem; width: auto; padding-right: 0rem; } /* larger logo bundesverwaltung */
.md-top:hover { color: var(--color-primary-50);  } /* Back to top in weiss */

footer .footer-copyright {
    display: none;
}

.nav__title {
    background-color: red;
}

/* Move title up */
.md-header__inner {
    display: flex;
    align-items: flex-start; /* Elemente oben ausrichten */
}

/* Move title up */
div.md-header__title[data-md-component="header-title"] {
    display: inline-block;
    vertical-align: top; /* Text oben ausrichten */
    line-height: normal; /* Standard-Zeilenhöhe */
    padding: .4rem;
    margin-left: -0.5rem; /* remove left from title */
    font-size: 0.875rem; /* smaller font in title */
}

/* Blue bar at the top of the page */
.header_swissgov {
    background-color: var(--color-secondary-600);
    color: white;
    font-size: 14px;
    padding: 0.5rem;
    text-align: left;
    -webkit-font-smoothing:antialiased;
}

.footer_swissgov {
    padding-bottom: 1.1rem;
    /*padding-top: .5rem;*/
    font-size: .7rem;
}


/* Gray separator line */
.md-tabs::after {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    background-color: lightgray;
    position: absolute;
    bottom: 0;
    left: 0;
}

/* Red line when selecting */
.md-tabs__item {
    position: relative;
}
.md-tabs__item:hover::after {
    content: "";
    display: block;
    width: 100%;
    height: 3px; /* Height of the red line */
    background-color: red;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 1;
}


/* Colors for search-box */
.md-search__form:hover {
    color: var(--color-secondary-600);
    background-color: var(--color-secondary-100);
}
.md-search__inner .md-search__form .md-search__input::placeholder {
    color: var(--color-secondary-600);
}
.md-search__icon.md-icon[for="__search"] {
    color: var(--color-secondary-600);
}
.md-search__form {
    background-color: var(--color-secondary-50);
}
.md-search-result .md-search-result__meta {
    background-color: var(--color-secondary-50);
}
